# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations
import datetime
from django.conf import settings
import django.utils.timezone
import coin.mixins
import django.core.validators


class Migration(migrations.Migration):

    dependencies = [
        ('auth', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Member',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('password', models.CharField(max_length=128, verbose_name='password')),
                ('last_login', models.DateTimeField(default=django.utils.timezone.now, verbose_name='last login')),
                ('is_superuser', models.BooleanField(default=False, help_text='Designates that this user has all permissions without explicitly assigning them.', verbose_name='superuser status')),
                ('username', models.CharField(help_text='Required. 30 characters or fewer. Letters, digits and @/./+/-/_ only.', unique=True, max_length=30, verbose_name='username', validators=[django.core.validators.RegexValidator('^[\\w.@+-]+$', 'Enter a valid username.', 'invalid')])),
                ('first_name', models.CharField(max_length=30, verbose_name='first name')),
                ('last_name', models.CharField(max_length=30, verbose_name='last name')),
                ('email', models.EmailField(unique=True, max_length=75, verbose_name='email address')),
                ('is_staff', models.BooleanField(default=False, help_text='Designates whether the user can log into this admin site.', verbose_name='staff status')),
                ('is_active', models.BooleanField(default=True, help_text='Designates whether this user should be treated as active. Unselect this instead of deleting accounts.', verbose_name='active')),
                ('date_joined', models.DateTimeField(default=django.utils.timezone.now, verbose_name='date joined')),
                ('status', models.CharField(default=b'pending', max_length=50, choices=[(b'member', b'Adh\xc3\xa9rent'), (b'not_member', b'Non adh\xc3\xa9rent'), (b'pending', b"Demande d'adh\xc3\xa9sion")])),
                ('type', models.CharField(default=b'natural_person', max_length=20, choices=[(b'natural_person', b'Personne physique'), (b'legal_entity', b'Personne morale')])),
                ('organization_name', models.CharField(help_text=b'Pour une personne morale', max_length=200, verbose_name=b"Nom de l'organisme", blank=True)),
                ('home_phone_number', models.CharField(max_length=25, verbose_name='T\xe9l\xe9phone fixe', blank=True)),
                ('mobile_phone_number', models.CharField(max_length=25, verbose_name='T\xe9l\xe9phone mobile', blank=True)),
                ('address', models.TextField(null=True, verbose_name='Adresse', blank=True)),
                ('postal_code', models.CharField(max_length=15, null=True, verbose_name='Code postal', blank=True)),
                ('city', models.CharField(max_length=200, null=True, verbose_name='Commune', blank=True)),
                ('country', models.CharField(default=b'France', max_length=200, null=True, verbose_name='Pays', blank=True)),
                ('entry_date', models.DateField(default=datetime.date.today, verbose_name=b'Date de premi\xc3\xa8re adh\xc3\xa9sion')),
                ('resign_date', models.DateField(null=True, verbose_name=b"Date de d\xc3\xa9part de l'association", blank=True)),
                ('groups', models.ManyToManyField(related_query_name='user', related_name='user_set', to='auth.Group', blank=True, help_text='The groups this user belongs to. A user will get all permissions granted to each of his/her group.', verbose_name='groups')),
                ('user_permissions', models.ManyToManyField(related_query_name='user', related_name='user_set', to='auth.Permission', blank=True, help_text='Specific permissions for this user.', verbose_name='user permissions')),
            ],
            options={
                'verbose_name': 'membre',
            },
            bases=(coin.mixins.CoinLdapSyncMixin, models.Model),
        ),
        migrations.CreateModel(
            name='CryptoKey',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('type', models.CharField(max_length=3, choices=[(b'RSA', b'RSA'), (b'GPG', b'GPG')])),
                ('key', models.TextField(verbose_name='Cl\xe9')),
                ('member', models.ForeignKey(verbose_name='Membre', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'cl\xe9',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='MembershipFee',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('amount', models.IntegerField(default=b'20', help_text=b'en \xe2\x82\xac', verbose_name='Montant')),
                ('start_date', models.DateField(default=datetime.date.today, verbose_name=b'Date de d\xc3\xa9but de cotisation')),
                ('end_date', models.DateField(default=datetime.date(2015, 9, 19), verbose_name=b'Date de fin de cotisation')),
                ('member', models.ForeignKey(related_name=b'membership_fees', verbose_name='Membre', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'cotisation',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='LdapGroup',
            fields=[
            ],
            options={
                'managed': False,
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='LdapUser',
            fields=[
            ],
            options={
                'managed': False,
            },
            bases=(models.Model,),
        ),
    ]
