# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations
import datetime
from django.conf import settings


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Offer',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('name', models.CharField(max_length=255, verbose_name=b"Nom de l'offre")),
                ('configuration_type', models.CharField(help_text=b'Type of configuration to use with this offer', max_length=50, null=True, choices=[(b'', b'')])),
                ('billing_period', models.IntegerField(default=1, help_text=b'en mois', verbose_name=b'P\xc3\xa9riode de facturation')),
                ('period_fees', models.DecimalField(help_text=b'en \xe2\x82\xac', verbose_name=b'Montant par p\xc3\xa9riode de facturation', max_digits=5, decimal_places=2)),
                ('initial_fees', models.DecimalField(help_text=b'en \xe2\x82\xac', verbose_name=b'Frais de mise en service', max_digits=5, decimal_places=2)),
            ],
            options={
                'verbose_name': 'offre',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='OfferSubscription',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('subscription_date', models.DateField(default=datetime.date.today, verbose_name=b"Date de souscription \xc3\xa0 l'offre")),
                ('resign_date', models.DateField(null=True, verbose_name=b'Date de r\xc3\xa9siliation', blank=True)),
                ('commitment', models.IntegerField(default=0, help_text=b'en mois', verbose_name=b"P\xc3\xa9riode d'engagement")),
                ('member', models.ForeignKey(verbose_name=b'Membre', to=settings.AUTH_USER_MODEL)),
                ('offer', models.ForeignKey(verbose_name=b'Offre', to='offers.Offer')),
            ],
            options={
                'verbose_name': 'abonnement',
            },
            bases=(models.Model,),
        ),
    ]
