# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations
import netfields.fields
import coin.resources.models
import django.core.validators


class Migration(migrations.Migration):

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='IPPool',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('name', models.CharField(help_text=b'Name of the IP pool', max_length=255)),
                ('default_subnetsize', models.PositiveSmallIntegerField(help_text=b'Default subnet size to allocate to subscribers in this pool', verbose_name=b'default subnet size', validators=[django.core.validators.MaxValueValidator(64)])),
                ('inet', netfields.fields.CidrAddressField(help_text=b'Address space to use', max_length=43, validators=[coin.resources.models.validate_subnet])),
            ],
            options={
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='IPSubnet',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('inet', netfields.fields.CidrAddressField(blank=True, help_text=b'Leave empty for automatic allocation', max_length=43, verbose_name=b'subnet', validators=[coin.resources.models.validate_subnet])),
                ('delegate_reverse_dns', models.BooleanField(default=False)),
                ('ip_pool', models.ForeignKey(verbose_name=b'IP pool', to='resources.IPPool')),
            ],
            options={
            },
            bases=(models.Model,),
        ),
    ]
