# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations
from django.conf import settings
import django.core.validators
import netfields.fields


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('resources', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='NameServer',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('dns_name', models.CharField(help_text=b'Example: ns1.example.com', max_length=255)),
                ('description', models.CharField(help_text=b'Example: My first name server', max_length=255, verbose_name=b'human-readable name of the nameserver', blank=True)),
                ('owner', models.ForeignKey(to=settings.AUTH_USER_MODEL, null=True)),
            ],
            options={
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='ReverseDNSEntry',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('ip', netfields.fields.InetAddressField(unique=True, max_length=39)),
                ('reverse', models.CharField(max_length=255, verbose_name=b'hostname to associate to the IP')),
                ('ttl', models.IntegerField(default=3600, help_text=b'in seconds', verbose_name=b'TTL', validators=[django.core.validators.MinValueValidator(60)])),
                ('ip_subnet', models.ForeignKey(to='resources.IPSubnet')),
            ],
            options={
            },
            bases=(models.Model,),
        ),
    ]
