# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations
import netfields.fields
import coin.validation
import coin.mixins


class Migration(migrations.Migration):

    dependencies = [
        ('configuration', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='VPNConfiguration',
            fields=[
                ('configuration_ptr', models.OneToOneField(parent_link=True, auto_created=True, primary_key=True, serialize=False, to='configuration.Configuration')),
                ('activated', models.BooleanField(default=False)),
                ('login', models.CharField(help_text=b'leave empty for automatic generation', unique=True, max_length=50, blank=True)),
                ('password', models.CharField(max_length=256, null=True, blank=True)),
                ('ipv4_endpoint', netfields.fields.InetAddressField(blank=True, max_length=39, null=True, validators=[coin.validation.validate_v4])),
                ('ipv6_endpoint', netfields.fields.InetAddressField(blank=True, max_length=39, null=True, validators=[coin.validation.validate_v6])),
                ('comment', models.CharField(max_length=512, blank=True)),
            ],
            options={
                'verbose_name': 'VPN',
            },
            bases=(coin.mixins.CoinLdapSyncMixin, 'configuration.configuration'),
        ),
        migrations.CreateModel(
            name='LdapVPNConfig',
            fields=[
            ],
            options={
                'managed': False,
            },
            bases=(models.Model,),
        ),
    ]
